@import 'settings';
@import 'typography';
@import 'mixins';

.HomeReel {
    position: relative;
    height: 100vh;
    color: $white;

    &__background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: $black;
        background-image: url('/s/assets/img/backgrounds/office2.720.jpg');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        // background-attachment: fixed;

        opacity: 0;
        transition: opacity 400ms 150ms;
        will-change: opacity;
    }

    &.isActive &__background {
        opacity: 1;
    }

    &__content {
        position: relative;
        z-index: 10;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .play-button {
        @include ui-type;
        color: $white;

        .Icon {
            display: block;
            margin: 0 auto 24px auto;
            background: $white;
            color: $black;
            font-size: 38px;
            width: 50px;
            height: 50px;
            line-height: 50px;
            border-radius: 50%;
            text-align: center;
            text-indent: 2px;
        }

        &:hover {
            .Icon {
                background: $blue;
                color: $white;
            }
        }
    }

    @media #{$desktop-xlarge} {
        background-image:
            url('/s/assets/img/backgrounds/office2.1080.jpg'),
            url('/s/assets/img/backgrounds/office2.720.jpg');
    }

    @media #{$mobile-only} {
        &__content {
            flex-direction: column;
        }

        .play-button {
            display: block;
            margin-top: 20px;
        }
    }

    @media #{$tablet} {
        flex-direction: row;

        &__stats {
            width: 530px;
        }

        .play-button {
            .Icon {
                width: 60px;
                height: 60px;
                line-height: 60px;
                font-size: 40px;
                text-indent: 3px;
            }
        }
    }
}
